Bug 1554291 - When storage reserve limit is reached, appending data to an existing file throws EROFS error
Summary: When storage reserve limit is reached, appending data to an existing file thr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Ravishankar N
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1561129 1597154
TreeView+ depends on / blocked
 
Reported: 2018-03-12 10:52 UTC by Prasad Desala
Modified: 2018-09-07 06:34 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1561129 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:44:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:42 UTC

Description Prasad Desala 2018-03-12 10:52:08 UTC
Description of problem:
=======================
When storage reserve limit is reached, appending data to an existing file throws EROFS error.

Version-Release number of selected component (if applicable):
3.12.2-5.el7rhgs.x86_64

How reproducible:
always

Steps to Reproduce:
===================
1) create a x3 volume and start it.
2) Set storage.reserve volume set option to 90,
gluster volume set distrepx3 storage.reserve 90
3) Create data using dd until the backend bricks reaches reserve limit.
4) Now, try appending data to the existing file.

Actual results:
===============
appending data to an existing file throws EROFS error
cat /etc/redhat-release  > 25MB_997
-bash: 25MB_997: Read-only file system

Expected results:
=================
It should throw appropriate error, ENOSPC.

Comment 12 Prasad Desala 2018-04-27 13:56:42 UTC
Verified this BZ on glusterfs version 3.12.2-8.el7rhgs.x86_64.

Now, when storage reserve limit is reached, appending data to an existing file is throwing ENOSPC error as expected.

Moving this BZ to Verified.

Comment 14 errata-xmlrpc 2018-09-04 06:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.